Subject: Re: linux-next: error while fetching the i3c-fixes tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 4 Jan 2021 08:20:20 +1100

Hi all,

On Sun, 3 Jan 2021 15:23:43 +0100 Alexandre Belloni <[email-masked]> wrote:
>
> On 03/01/2021 15:18:55+0100, Boris Brezillon wrote:
> > +Alexandre, the new I3C maintainer. You should probably flag him as the
> > person to contact if you have problem with the I3C tree in the future.
> > 
> > On Sun, 3 Jan 2021 22:32:17 +1100
> > Stephen Rothwell <[email-masked]> wrote:
> >   
> > > Fetching the i3c-fixes tree
> > > (git://git.kernel.org/pub/scm/linux/kernel/git/i3c/linux.git#master)
> > > produces this error:
> > > 
> > > fatal: couldn't find remote ref refs/heads/master
> > > 
> > > Should I maybe use the i3c/fixes branch instead?  
> > 
> > Oops, I thought you were using that branch already. I guess I never
> > noticed because I didn't use the fixes branch much and kept the master
> > one around.
> 
> Yes, please use the i3c/fixes branch. I did indeed remove the master
> branch as this was not used anyway.

Updated branch and contact from today.

Thanks for adding your subsystem tree as a participant of linux-next.  As
you may know, this is not a judgement of your code.  The purpose of
linux-next is for integration testing and to lower the impact of
conflicts between subsystems in the next merge window. 

You will need to ensure that the patches/commits in your tree/series have
been:
     * submitted under GPL v2 (or later) and include the Contributor's
        Signed-off-by,
     * posted to the relevant mailing list,
     * reviewed by you (or another maintainer of your subsystem tree),
     * successfully unit tested, and 
     * destined for the current or next Linux merge window.

Basically, this should be just what you would send to Linus (or ask him
to fetch).  It is allowed to be rebased if you deem it necessary.

-- 
Cheers,
Stephen Rothwell 
[email-masked]